
%define snap 20130417

Name:    akonadi-exchange 
Summary: Akonadi Exchange resources
Version: 0.0
Release: 3.%{snap}%{?dist}

License: GPLv3+
URL:   	 http://websvn.kde.org/trunk/playground/pim/akonadi/exchange
Source0: %{name}-%{snap}.tar.gz
Source1: akonadi-exchange_snapshot.sh

# fix search for libmapi.  openchange only provides libmapi-openchange
# libmapi is provided by zarafa, but apparenlty not needed here), so avoid overlinking
Patch50: akonadi-exchange-oc1.patch
# remove samba requirement, not used anywhere
Patch52: akonadi-exchange-no_samba.patch
# disable some extra debugging making things slow
Patch53: akonadi-exchange-debug.patch

BuildRequires: kdelibs4-devel kdepimlibs-devel
# for xsltproc
BuildRequires: libxslt
%global akonadi_version_min 1.2.1
BuildRequires: pkgconfig(akonadi) >= %{akonadi_version_min}
%global akonadi_version %(pkg-config --modversion akonadi 2>/dev/null || echo %{akonadi_version_min})
Requires: akonadi%{_isa} >= %{akonadi_version}
BuildRequires: pkgconfig(libmapi)

%description
%{summary}


%prep
%setup -q -n %{name}

%patch50 -p1 -b .oc1
%patch52 -p1 -b .no_samba
%patch53 -p1 -b .debug

# calendar currently FTBFS, omit for now.
sed -i -e 's|^add_subdirectory(calendar)|#add_subdirectory(calendar)|g' CMakeLists.txt


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast  DESTDIR=%{buildroot} -C %{_target_platform}


%files
%doc AUTHOR COPYING README
%{_bindir}/akonadi_exgal_resource
%{_bindir}/akonadi_exmail_resource
%{_datadir}/akonadi/agents/exgalresource.desktop
%{_datadir}/akonadi/agents/exmailresource.desktop


%changelog
* Mon Apr 15 2013 Rex Dieter <rdieter@fedoraproject.org> 0.0-2.20130409
- disable some mail debugging making things slow

* Tue Apr 09 2013 Rex Dieter <rdieter@fedoraproject.org> 0.0-1.20130419
- first try


